Subject: Re: linux-next: Tree for December 18 (patch: kernel-doc notation)

From: Andrew Morton <[email-masked]>
Date: Mon, 22 Dec 2008 14:49:45 -0800

On Thu, 18 Dec 2008 16:14:37 -0800
Randy Dunlap <[email-masked]> wrote:

> fs/inode.c and mm/filemap.c need kernel-doc fixes.
> 
> What tree were these merged into for linux-next?

I use git-blame.

> How do I get these doc fixes merged?  (2 patches below)
> 
> ---
> 
> From: Randy Dunlap <[email-masked]>
> 
> Fix fs/inode.c kernel-doc function parameters:
> 
> Warning(linux-next-20081218//fs/inode.c:120): No description found for parameter 'sb'
> Warning(linux-next-20081218//fs/inode.c:120): No description found for parameter 'inode'
> Warning(linux-next-20081218//fs/inode.c:588): No description found for parameter 'sb'
> Warning(linux-next-20081218//fs/inode.c:588): No description found for parameter 'inode'
> 

>>From the XFS tree:

commit 2cb1599f9b2ecdd7a9e59feeee647eb258966839
Author:     David Chinner <[email-masked]>
AuthorDate: Thu Oct 30 17:32:23 2008 +1100
Commit:     Lachlan McIlroy <[email-masked]>
CommitDate: Thu Oct 30 17:32:23 2008 +1100

    Inode: Allow external initialisers

> ---
> 
> From: Randy Dunlap <[email-masked]>
> 
> Fix mm/filemap.c functions' kernel-doc:
> 
> Warning(/local/linsrc/linux-next-20081218//mm/filemap.c:575): No description found for parameter 'page'
> Warning(/local/linsrc/linux-next-20081218//mm/filemap.c:575): No description found for parameter 'waiter'
> Warning(/local/linsrc/linux-next-20081218//mm/filemap.c:2348): No description found for parameter 'mapping'
> Warning(/local/linsrc/linux-next-20081218//mm/filemap.c:2348): No description found for parameter 'index'
> Warning(/local/linsrc/linux-next-20081218//mm/filemap.c:2348): No description found for parameter 'source'
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> cc: Dave Chinner <[email-masked]>

That's no longer in linux-next.  I'd guess it was from the fs-cache
patches.